Page MenuHomePhabricator

MW-1.27.0-wmf.12 deployment blockers
Closed, ResolvedPublic

Description

Task to be used to track blockers for the 1.27.0-wmf.12 deployment.

From https://wikitech.wikimedia.org/wiki/Heterogeneous_deployment/Train_deploys , duties are:

  • 1.1 Create the new branch in gerrit - Cut on Tuesday Feb 2nd ~ 19:00 UTC
  • 1.2 Remove symlinks to expired branches - Probably fine now due to Tuesday staging wipe out
  • 1.3 Clone new branch - checkoutMediaWiki had set current to .11. Fixed manually back to .10
  • 1.4 Apply security patches - one no more apply, renamed with meaningful suffix
  • 1.5 Create symlink patch for common/docroot - /w/php and /docroot/static symlinks been migrated to .11. Had to manually fix them to .10
  • 1.6 Create patches to update wikiversions.json
  • 1.7 Send staged patches to gerrit for review - https://gerrit.wikimedia.org/r/#/c/268196/
  • 1.8 Discard changes to working directory and index on tin
  • 1.9 Restore symlinks on deployment server - pulled https://gerrit.wikimedia.org/r/#/c/268196/ on mira
  • 1.10 Remove clones of expired branches - skipped
  • 1.11 Sync to cluster and verify on testwiki
  • Add to deal with special extensions not properly tracked
  • randomrootpage merged in core
  • 1.12 Remove left over files from expired branches
  • 1.13 Wait for deploy window
  • 1.14 Switch group0 wikis to VERSION
  • 1.15 Purge localization cache for now unused versions - Probably fine now due to Tuesday staging wipe out
  • 1.16 Update deploy notes
  • 1.17 Update roadmap

Event Timeline

Jdforrester-WMF raised the priority of this task from to Unbreak Now!.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2016, 12:43 AM
greg added a subscriber: greg.

Tentatively closable, then?

greg assigned this task to hashar.Feb 2 2016, 10:48 PM

Assigning to hashar since he's running the train (tomorrow).

greg added a comment.Feb 2 2016, 11:35 PM

Tentatively closable, then?

never say this again :P

hashar added a comment.Feb 3 2016, 1:08 PM

I have sent the dummy change https://gerrit.wikimedia.org/r/#/c/268096/ against MediaWiki core 1.27.0-wmf.12 and the tests are all fine (except phpcs but that is due to the dummy .php file being empty).

hashar added a comment.Feb 3 2016, 1:20 PM

We had Wikidata cut of either the old 1.27.0-wmf.10 or master branch. https://gerrit.wikimedia.org/r/#/c/268100/ tweak the submodule to point to Wikidata 1.27.0-wmf.10.

hashar updated the task description. (Show Details)Feb 3 2016, 2:17 PM
hashar set Security to None.
hashar added a comment.Feb 3 2016, 3:38 PM

Clone completed on mira

Created LocalSettings.php file.
Created StartProfiler.php symlink.
Created /w/static/1.27.0-wmf.12/skins symlink.
Created /w/static/1.27.0-wmf.12/extensions symlink.
Created /w/static/1.27.0-wmf.12/resources symlink.

MediaWiki 1.27.0-wmf.12, from 1.27.0-wmf.12, successfully checked out.

The update branch stuff switched current to .11 when it should be .10 !

/srv/mediawiki-staging/php => php-1.27.0-wmf.11
Updating current branch pointer...
/srv/mediawiki-staging/w/static/current/skins => /srv/mediawiki/php-1.27.0-wmf.11/skins
/srv/mediawiki-staging/w/static/current/extensions => /srv/mediawiki/php-1.27.0-wmf.11/extensions
/srv/mediawiki-staging/w/static/current/resources => /srv/mediawiki/php-1.27.0-wmf.11/resources
hashar added a comment.Feb 3 2016, 3:42 PM

Manually moved back to .10

lrwxrwxrwx 1 hashar wikidev 17 Feb  3 15:39 /srv/mediawiki-staging/php -> php-1.27.0-wmf.10
lrwxrwxrwx 1 hashar wikidev 43 Feb  3 15:40 /srv/mediawiki-staging/w/static/current/extensions -> /srv/mediawiki/php-1.27.0-wmf.10/extensions
lrwxrwxrwx 1 hashar wikidev 42 Feb  3 15:40 /srv/mediawiki-staging/w/static/current/resources -> /srv/mediawiki/php-1.27.0-wmf.10/resources
lrwxrwxrwx 1 hashar wikidev 38 Feb  3 15:40 /srv/mediawiki-staging/w/static/current/skins -> /srv/mediawiki/php-1.27.0-wmf.10/skins
hashar updated the task description. (Show Details)Feb 3 2016, 3:46 PM
hashar updated the task description. (Show Details)Feb 3 2016, 7:37 PM
hashar updated the task description. (Show Details)Feb 3 2016, 7:44 PM
hashar updated the task description. (Show Details)Feb 3 2016, 8:17 PM
hashar updated the task description. (Show Details)Feb 3 2016, 9:32 PM

The l10nupdate user UID mismatch between tin and mira preventing sync-masters to push the l10n cache files

Reopened T119165

Got .12 on testwiki

testwiki / testwiki2 are on wmf12 but they are terribly slow T125727: test / test2 incredibly slow with 1.27.0-wmf.12

I am giving up myself (past midnight here) and pass relay to @thcipriani and the rest of smarter folks.

greg updated the task description. (Show Details)Feb 4 2016, 8:29 PM
greg closed this task as Resolved.Feb 18 2016, 3:50 AM
greg lowered the priority of this task from Unbreak Now! to Medium.
greg renamed this task from MW 1.27.0-wmf.12 deployment blockers to MW-1.27.0-wmf.12 deployment blockers.May 27 2016, 7:37 PM